> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Standalone Transfer

Create a forward transfer to distribute funds from your organization balance to your recipients independently of a payment.


## OpenAPI

````yaml openapi/transfers/create-standalone-transfer.json POST /split-marketplace/transfers
openapi: 3.1.0
info:
  title: Transfer Flow API
  version: 1.0.0
  description: >-
    API for managing standalone forward and reverse transfers within the
    Marketplace.
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public_api_key: []
    private_secret_key: []
paths:
  /split-marketplace/transfers:
    post:
      tags:
        - Transfers
      summary: Create Standalone Transfer
      operationId: create-standalone-transfer
      parameters:
        - name: X-Idempotency-Key
          in: header
          required: true
          schema:
            type: string
          description: Unique key for request idempotency.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - recipient_id
                - provider_id
                - amount
              properties:
                account_id:
                  type: string
                  description: The unique identifier of the account.
                recipient_id:
                  type: string
                  format: uuid
                  description: The target recipient identifier.
                provider_id:
                  type: string
                  description: The payment provider code to use (e.g., adyen, stripe).
                amount:
                  $ref: '#/components/schemas/Amount'
                description:
                  type: string
                  description: >-
                    A human-readable description for the transfer (3-255 chars).
                    This is sent to the provider.
                merchant_reference:
                  type: string
                  description: Merchant's unique identifier for idempotency and tracking.
                metadata:
                  $ref: '#/components/schemas/Metadata'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
              examples:
                Success:
                  value:
                    id: 94036ceb-5cca-4384-b144-e2a5a908af77
                    recipient_id: e56c3329-f3d9-48e5-a677-284b147abf95
                    amount:
                      currency: USD
                      value: 100
                    status: SUCCEEDED
                    description: test transfer
                    merchant_reference: c19e858a-ffd6-4635-8a31-4f60c5becf4d
                    metadata: []
                    provider: null
                    transactions:
                      - code: 7ac2c5f3-7c79-4e99-b45e-aa5952620188
                        type: SPLIT_TRANSFER
                        status: SUCCEEDED
                        provider_transfer_id: tr_1T9eKVIiMnPsFcbbRTb8ObsZ
                        provider_response_message: null
                        provider_raw_response: |-
                          {
                            "id": "tr_1T9eKVIiMnPsFcbbRTb8ObsZ",
                            "object": "transfer",
                            "amount": 10000,
                            "amount_reversed": 0,
                            "balance_transaction": "txn_1T9eKVIiMnPsFcbbOPnvz3xM",
                            "created": 1773203107,
                            "currency": "usd",
                            "description": "test transfer",
                            "destination": "acct_1T9PSQIZEg1WWTvj",
                            "destination_payment": "py_1T9eKVIZEg1WWTvjbVjmnzFK",
                            "livemode": false,
                            "metadata": {},
                            "reversals": {
                              "object": "list",
                              "data": [],
                              "has_more": false,
                              "total_count": 0,
                              "url": "/v1/transfers/tr_1T9eKVIiMnPsFcbbRTb8ObsZ/reversals"
                            },
                            "reversed": false,
                            "source_transaction": null,
                            "source_type": "card",
                            "transfer_group": null
                          }
                        created_at: '2026-03-11T04:25:06.229027Z'
                        updated_at: '2026-03-11T04:25:07.917364Z'
                    created_at: '2026-03-11T04:25:06.208761Z'
                    updated_at: '2026-03-11T04:25:07.928000342Z'
                    completed_at: '2026-03-11T04:25:07.927971142Z'
                Error:
                  value:
                    id: 9778f631-504d-448f-b2c1-f7b903781df7
                    recipient_id: 82b12c8c-7d3d-4a21-a3c6-165cc04ca741
                    amount:
                      currency: USD
                      value: 50000
                    status: ERROR
                    description: test transfer
                    merchant_reference: cb18df20-21ae-4fed-8da9-fb81cfd56797
                    metadata: []
                    provider: null
                    transactions:
                      - code: 9eee65d1-6c3a-4076-9ef9-fa4bff73d597
                        type: SPLIT_TRANSFER
                        status: ERROR
                        provider_transfer_id: tr_1T9PTLIiMnPsFcbbFKyh1Nds
                        provider_response_message: |-
                          {
                            "id": "tr_1T9PTLIiMnPsFcbbFKyh1Nds",
                            "object": "transfer",
                            "amount": 10000,
                            "amount_reversed": 0,
                            "balance_transaction": "txn_1T9PTMIiMnPsFcbbxRKvaZ3G",
                            "created": 1773145996,
                            "currency": "usd",
                            "description": "test transfer"
                          }
                        provider_raw_response: '{.... }'
                        created_at: '2026-03-10T13:39:19.342902Z'
                        updated_at: '2026-03-10T13:39:19.342914Z'
                    created_at: '2026-03-10T13:39:19.241990247Z'
                    updated_at: '2026-03-10T13:39:19.242012664Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                PROVIDER_NOT_FOUND:
                  summary: Provider not found
                  value:
                    code: PROVIDER_NOT_FOUND
                    messages:
                      - The specified provider was not found.
                ONBOARDING_NOT_VALID:
                  summary: Onboarding not valid
                  value:
                    code: ONBOARDING_NOT_VALID
                    messages:
                      - >-
                        The recipient onboarding is not valid for this
                        operation.
                CURRENCY_NOT_SUPPORTED:
                  summary: Currency not supported
                  value:
                    code: CURRENCY_NOT_SUPPORTED
                    messages:
                      - The specified currency is not supported.
                INVALID_AMOUNT:
                  summary: Invalid amount
                  value:
                    code: INVALID_AMOUNT
                    messages:
                      - The transfer amount is invalid.
                INSUFFICIENT_BALANCE:
                  summary: Insufficient balance
                  value:
                    code: INSUFFICIENT_BALANCE
                    messages:
                      - Insufficient balance to complete the transfer.
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                RECIPIENT_NOT_FOUND:
                  summary: Recipient not found
                  value:
                    code: RECIPIENT_NOT_FOUND
                    messages:
                      - The specified recipient was not found.
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                PROVIDER_INTERNAL_ERROR:
                  summary: Provider internal error
                  value:
                    code: PROVIDER_INTERNAL_ERROR
                    messages:
                      - The payment provider encountered an internal error.
components:
  schemas:
    Amount:
      type: object
      required:
        - value
        - currency
      properties:
        value:
          type: number
          example: 150
        currency:
          type: string
          example: USD
    Metadata:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value:
            type: string
    Transfer:
      type: object
      properties:
        id:
          type: string
          example: TRF_7kB2mQ9xPnL4vR
        recipient_id:
          type: string
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        amount:
          $ref: '#/components/schemas/Amount'
        status:
          type: string
          example: SUCCEEDED
        reason:
          type: string
          example: ORDER_CANCELLED
        description:
          type: string
          example: Weekly marketplace earnings
        merchant_reference:
          type: string
          example: TRANSFER-2026-02-15-001
        metadata:
          $ref: '#/components/schemas/Metadata'
        provider_data:
          $ref: '#/components/schemas/ProviderData'
        created_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:15Z'
        completed_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:15Z'
        provider:
          type: string
          nullable: true
          example: null
        transactions:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                example: 9eee65d1-6c3a-4076-9ef9-fa4bff73d597
              type:
                type: string
                example: SPLIT_TRANSFER
              status:
                type: string
                example: ERROR
              provider_transfer_id:
                type: string
                example: tr_1T9PTLIiMnPsFcbbFKyh1Nds
              provider_response_message:
                type: string
                example: ...
              provider_raw_response:
                type: string
                example: '{.... }'
              created_at:
                type: string
                format: date-time
                example: '2026-03-10T13:39:19.342902Z'
              updated_at:
                type: string
                format: date-time
                example: '2026-03-10T13:39:19.342914Z'
    ProviderData:
      type: object
      properties:
        id:
          type: string
          example: adyen
        recipient_id:
          type: string
          example: SE322KT223222B5CM82WL9TB
        transfer_id:
          type: string
          example: TRF_8535296827453920
        response_code:
          type: string
          example: '000'
        response_message:
          type: string
          example: Transfer completed
  securitySchemes:
    public_api_key:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
    private_secret_key:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY

````